curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/classes/{classSourcedId}/teachers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enrollment": {
"user": {
"sourcedId": "<string>"
},
"primary": "false",
"beginDate": "2024-01-01",
"endDate": "2024-01-01"
}
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}Enrolls a teacher to a specific Class. The responding system must return the set of sourcedIds that have been allocated to the newly created enrollment record.
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/classes/{classSourcedId}/teachers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enrollment": {
"user": {
"sourcedId": "<string>"
},
"primary": "false",
"beginDate": "2024-01-01",
"endDate": "2024-01-01"
}
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Class sourcedId
Show child attributes
Teacher successfully assigned to class
Show child attributes